<?php

// autoload_static.php @generated by Composer

namespace Composer\Autoload;

class ComposerStaticInit31b6c554dd27ecad490e5f0fcb6cc7b2
{
    public static $files = array (
        '7b11c4dc42b3b3023073cb14e519683c' => __DIR__ . '/..' . '/ralouphie/getallheaders/src/getallheaders.php',
        'c964ee0ededf28c96ebd9db5099ef910' => __DIR__ . '/..' . '/guzzlehttp/promises/src/functions_include.php',
        '6e3fae29631ef280660b3cdad06f25a8' => __DIR__ . '/..' . '/symfony/deprecation-contracts/function.php',
        '37a3dc5111fe8f707ab4c132ef1dbc62' => __DIR__ . '/..' . '/guzzlehttp/guzzle/src/functions_include.php',
    );

    public static $prefixLengthsPsr4 = array (
        'P' => 
        array (
            'Psr\\Http\\Message\\' => 17,
            'Psr\\Http\\Client\\' => 16,
            'Psr\\Cache\\' => 10,
        ),
        'L' => 
        array (
            'League\\Plates\\' => 14,
        ),
        'G' => 
        array (
            'GuzzleHttp\\Psr7\\' => 16,
            'GuzzleHttp\\Promise\\' => 19,
            'GuzzleHttp\\' => 11,
            'Grpc\\Gcp\\' => 9,
            'Grpc\\' => 5,
            'Google\\Type\\' => 12,
            'Google\\Rpc\\' => 11,
            'Google\\Protobuf\\' => 16,
            'Google\\Photos\\Types\\' => 20,
            'Google\\Photos\\Library\\V1\\' => 25,
            'Google\\LongRunning\\' => 19,
            'Google\\Iam\\' => 11,
            'Google\\Cloud\\' => 13,
            'Google\\Auth\\' => 12,
            'Google\\Api\\' => 11,
            'Google\\ApiCore\\LongRunning\\' => 27,
            'Google\\ApiCore\\' => 15,
            'GPBMetadata\\Google\\Type\\' => 24,
            'GPBMetadata\\Google\\Rpc\\' => 23,
            'GPBMetadata\\Google\\Protobuf\\' => 28,
            'GPBMetadata\\Google\\Photos\\Types\\' => 32,
            'GPBMetadata\\Google\\Photos\\Library\\V1\\' => 37,
            'GPBMetadata\\Google\\Longrunning\\' => 31,
            'GPBMetadata\\Google\\Logging\\' => 27,
            'GPBMetadata\\Google\\Iam\\' => 23,
            'GPBMetadata\\Google\\Cloud\\' => 25,
            'GPBMetadata\\Google\\Api\\' => 23,
            'GPBMetadata\\ApiCore\\' => 20,
        ),
        'F' => 
        array (
            'Firebase\\JWT\\' => 13,
        ),
    );

    public static $prefixDirsPsr4 = array (
        'Psr\\Http\\Message\\' => 
        array (
            0 => __DIR__ . '/..' . '/psr/http-message/src',
            1 => __DIR__ . '/..' . '/psr/http-factory/src',
        ),
        'Psr\\Http\\Client\\' => 
        array (
            0 => __DIR__ . '/..' . '/psr/http-client/src',
        ),
        'Psr\\Cache\\' => 
        array (
            0 => __DIR__ . '/..' . '/psr/cache/src',
        ),
        'League\\Plates\\' => 
        array (
            0 => __DIR__ . '/..' . '/league/plates/src',
        ),
        'GuzzleHttp\\Psr7\\' => 
        array (
            0 => __DIR__ . '/..' . '/guzzlehttp/psr7/src',
        ),
        'GuzzleHttp\\Promise\\' => 
        array (
            0 => __DIR__ . '/..' . '/guzzlehttp/promises/src',
        ),
        'GuzzleHttp\\' => 
        array (
            0 => __DIR__ . '/..' . '/guzzlehttp/guzzle/src',
        ),
        'Grpc\\Gcp\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/grpc-gcp/src',
        ),
        'Grpc\\' => 
        array (
            0 => __DIR__ . '/..' . '/grpc/grpc/src/lib',
        ),
        'Google\\Type\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/common-protos/src/Type',
        ),
        'Google\\Rpc\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/common-protos/src/Rpc',
        ),
        'Google\\Protobuf\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/protobuf/src/Google/Protobuf',
        ),
        'Google\\Photos\\Types\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/photos-library/src/Google/Photos/Types',
        ),
        'Google\\Photos\\Library\\V1\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/photos-library/src/Google/Photos/Library/V1',
        ),
        'Google\\LongRunning\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/longrunning/src/LongRunning',
        ),
        'Google\\Iam\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/common-protos/src/Iam',
        ),
        'Google\\Cloud\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/common-protos/src/Cloud',
        ),
        'Google\\Auth\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/auth/src',
        ),
        'Google\\Api\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/common-protos/src/Api',
        ),
        'Google\\ApiCore\\LongRunning\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/longrunning/src/ApiCore/LongRunning',
        ),
        'Google\\ApiCore\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/gax/src',
        ),
        'GPBMetadata\\Google\\Type\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/common-protos/metadata/Type',
        ),
        'GPBMetadata\\Google\\Rpc\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/common-protos/metadata/Rpc',
        ),
        'GPBMetadata\\Google\\Protobuf\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/protobuf/src/GPBMetadata/Google/Protobuf',
        ),
        'GPBMetadata\\Google\\Photos\\Types\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/photos-library/src/GPBMetadata/Google/Photos/Types',
        ),
        'GPBMetadata\\Google\\Photos\\Library\\V1\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/photos-library/src/GPBMetadata/Google/Photos/Library/V1',
        ),
        'GPBMetadata\\Google\\Longrunning\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/longrunning/metadata/Longrunning',
        ),
        'GPBMetadata\\Google\\Logging\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/common-protos/metadata/Logging',
        ),
        'GPBMetadata\\Google\\Iam\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/common-protos/metadata/Iam',
        ),
        'GPBMetadata\\Google\\Cloud\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/common-protos/metadata/Cloud',
        ),
        'GPBMetadata\\Google\\Api\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/common-protos/metadata/Api',
        ),
        'GPBMetadata\\ApiCore\\' => 
        array (
            0 => __DIR__ . '/..' . '/google/gax/metadata/ApiCore',
        ),
        'Firebase\\JWT\\' => 
        array (
            0 => __DIR__ . '/..' . '/firebase/php-jwt/src',
        ),
    );

    public static $classMap = array (
        'Composer\\InstalledVersions' => __DIR__ . '/..' . '/composer/InstalledVersions.php',
        'GPBMetadata\\GrpcGcp' => __DIR__ . '/..' . '/google/grpc-gcp/src/generated/GPBMetadata/GrpcGcp.php',
        'Grpc\\Gcp\\AffinityConfig' => __DIR__ . '/..' . '/google/grpc-gcp/src/generated/Grpc/Gcp/AffinityConfig.php',
        'Grpc\\Gcp\\AffinityConfig_Command' => __DIR__ . '/..' . '/google/grpc-gcp/src/generated/Grpc/Gcp/AffinityConfig_Command.php',
        'Grpc\\Gcp\\ApiConfig' => __DIR__ . '/..' . '/google/grpc-gcp/src/generated/Grpc/Gcp/ApiConfig.php',
        'Grpc\\Gcp\\ChannelPoolConfig' => __DIR__ . '/..' . '/google/grpc-gcp/src/generated/Grpc/Gcp/ChannelPoolConfig.php',
        'Grpc\\Gcp\\MethodConfig' => __DIR__ . '/..' . '/google/grpc-gcp/src/generated/Grpc/Gcp/MethodConfig.php',
    );

    public static function getInitializer(ClassLoader $loader)
    {
        return \Closure::bind(function () use ($loader) {
            $loader->prefixLengthsPsr4 = ComposerStaticInit31b6c554dd27ecad490e5f0fcb6cc7b2::$prefixLengthsPsr4;
            $loader->prefixDirsPsr4 = ComposerStaticInit31b6c554dd27ecad490e5f0fcb6cc7b2::$prefixDirsPsr4;
            $loader->classMap = ComposerStaticInit31b6c554dd27ecad490e5f0fcb6cc7b2::$classMap;

        }, null, ClassLoader::class);
    }
}
